Name:           perl-OpenFrame
Version:        3.05
Release:        18%{?dist}
Summary:        Framework for network enabled applications
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/OpenFrame/
Source0:        http://www.cpan.org/authors/id/R/RC/RCLAMP/OpenFrame-%{version}.tar.gz
Source1:        README.LICENSE
# rhbz#716174, submitted to upstream RT#69077
Patch0:         %{name}-3.05-Adapt-CGI-Cookie-construction-to-CGI-3.51.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(CGI)
BuildRequires:  perl(CGI::Cookie)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Find::Rule)
BuildRequires:  perl(File::Type) >= 0.01
BuildRequires:  perl(HTTP::Request) >= 0.01
BuildRequires:  perl(IO::Null) >= 0.01
BuildRequires:  perl(Pipeline) >= 2.00
BuildRequires:  perl(Test::Simple)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
OpenFrame is a framework for network services serving to multiple media
channels - for instance, the web, WAP, and digital television. It is built
around the Pipeline API, and provides extra abstraction to make delivery of
a single application to multiple channels easier.

%prep
%setup -q -n OpenFrame-%{version}
%patch0 -p1 -b .cgi3.51
cp %{SOURCE1} .

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/saofs.pl

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES README saofs.pl
%doc README.LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.05-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jul 21 2011 Petr Sabata <contyk@redhat.com> - 3.05-17
- Perl mass rebuild

* Fri Jun 24 2011 Petr Pisar <ppisar@redhat.com> - 3.05-16
- Addapt to CGI 3.51 (rhbz#716174, RT#69077)

* Tue Jun 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 3.05-15
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.05-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 08 2010 Ralf Corsépius <corsepiu@fedoraproject.org> - 3.05-13
- Add BR: perl(CGI), perl(CGI::Cookie) (Fix FTBFS: BZ 661067).

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 3.05-12
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 3.05-11
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.05-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.05-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 3.05-8
Rebuild for new perl

* Wed Jan 02 2008 Ralf Corsépius <rc040203@freenet.de> 3.05-7
- BR: perl(Test::Simple) (BZ 419631).

* Wed Apr 18 2007 Steven Pritchard <steve@kspei.com> 3.05-6
- Use fixperms macro instead of our own chmod incantation.
- BR ExtUtils::MakeMaker.

* Sat Sep 16 2006 Steven Pritchard <steve@kspei.com> 3.05-5
- Fix find option order.

* Sat Jul 08 2006 Steven Pritchard <steve@kspei.com> 3.05-4
- Remove the last explicit Requires.

* Fri Jul 07 2006 Steven Pritchard <steve@kspei.com> 3.05-3
- Include README.LICENSE.

* Sat May 27 2006 Steven Pritchard <steve@kspei.com> 3.05-2
- Remove some explicit dependencies.
- Add BR: File::Find::Rule for better test coverage.

* Sat May 20 2006 Steven Pritchard <steve@kspei.com> 3.05-1
- Specfile autogenerated by cpanspec 1.66.
- Fix License.
- Include saofs.pl as a doc.
